####################################################################################################
## General

HOST="0.0.0.0"
PORT=8055
PUBLIC_URL="http://localhost:8055"

####################################################################################################
## Database

DB_CLIENT=pg
DB_HOST=localhost
DB_PORT=5433
DB_DATABASE=monsuivisocial
DB_USER=mss
DB_PASSWORD=password
DB_SSL=false


####################################################################################################
## CORS

CORS_ENABLED="true"
CORS_ORIGIN="http://localhost:3000"

####################################################################################################
## Rate Limiting

RATE_LIMITER_ENABLED=false
RATE_LIMITER_STORE=memory
RATE_LIMITER_POINTS=25
RATE_LIMITER_DURATION=1

####################################################################################################
## Cache

CACHE_ENABLED=false

####################################################################################################
## File Storage

STORAGE_LOCATIONS="local"
STORAGE_LOCAL_DRIVER="local"
STORAGE_LOCAL_ROOT="./uploads"

####################################################################################################
## Security

KEY="" # NOTE: Add the project security key
SECRET="" # NOTE: Add the project security secret


ACCESS_TOKEN_TTL="15m"
REFRESH_TOKEN_TTL="15m"
REFRESH_TOKEN_COOKIE_SECURE=false
REFRESH_TOKEN_COOKIE_SAME_SITE="lax"
REFRESH_TOKEN_COOKIE_NAME="directus_refresh_token"

####################################################################################################
## Auth Providers

AUTH_PROVIDERS="keycloak"

AUTH_KEYCLOAK_DRIVER="openid"
AUTH_KEYCLOAK_CLIENT_ID="" # NOTE: Add InclusionConnect local client ID
AUTH_KEYCLOAK_CLIENT_SECRET=""  # NOTE: Add InclusionConnect local client secret
AUTH_KEYCLOAK_ISSUER_URL="https://recette.connect.inclusion.beta.gouv.fr/realms/local/.well-known/openid-configuration"
AUTH_KEYCLOAK_IDENTIFIER_KEY="email"
AUTH_KEYCLOAK_PARAMS__FROM="monsuivisocial"
AUTH_KEYCLOAK_LABEL="InclusionConnect"

####################################################################################################
## Extensions

EXTENSIONS_PATH="./extensions"

####################################################################################################
## Email

EMAIL_FROM="no-reply@directus.io"
EMAIL_TRANSPORT="sendmail"
EMAIL_SENDMAIL_NEW_LINE="unix"
EMAIL_SENDMAIL_PATH="/usr/sbin/sendmail"

####################################################################################################
## Admin Account
ADMIN_EMAIL="" # NOTE: Add your admin email
ADMIN_PASSWORD="" # NOTE: Add your admin password


# LOG_LEVEL="trace"
# EXTENSIONS_AUTO_RELOAD="true"
